version: '3.3'
services:
  redis:
    image: redis
    ports:
      - "6379:6379"

  db:
    image: postgres
    environment:
      - POSTGRES_USER=speedpycom
      - POSTGRES_PASSWORD=speedpycom
      - POSTGRES_DB=speedpycom
    ports:
      - "21003:5432"
  web:
    build: .
    restart: always
    command: python manage.py runserver 0.0.0.0:8060
    env_file:
      - .env
    ports:
      - "127.0.0.1:8060:8060"
    volumes:
      - .:/code
    links:
      - db
      - redis
#      - rabbitmq
    depends_on:
      - db
      - redis
#      - rabbitmq


  tailwind:
    build: .
    restart: always
    command: python manage.py tailwind start
    env_file:
      - .env
    ports:
      - "127.0.0.1:8383:8383"
    volumes:
      - .:/code
    links:
      - db
      - redis
#      - rabbitmq
    depends_on:
      - db
      - redis
#      - rabbitmq

#  rabbitmq:
#    image: rabbitmq
#    environment:
#      - RABBITMQ_DEFAULT_USER=speedpycom
#      - RABBITMQ_DEFAULT_PASS=speedpycom
#      - RABBITMQ_DEFAULT_VHOST=speedpycom
#    ports:
#      - "21001:5672"
#      - "21002:15672"

#  celery:
#    build: .
#    restart: always
#    command: celery -A project.celeryapp:app  worker -Q default -n speedpycom.%%h --loglevel=INFO --max-memory-per-child=512000 --concurrency=1
#    env_file:
#      - .env
#    volumes:
#      - .:/code
#    links:
#      - db
#      - redis
##      - rabbitmq
#    depends_on:
#      - db
#      - redis
##      - rabbitmq
#
#  celery-beat:
#    build: .
#    restart: always
#    command: celery -A project.celeryapp:app beat -S redbeat.RedBeatScheduler  --loglevel=DEBUG --pidfile /tmp/celerybeat.pid
#    env_file:
#      - .env
#    volumes:
#      - .:/code
#    links:
#      - db
#      - redis
##      - rabbitmq
#    depends_on:
#      - db
#      - redis
##      - rabbitmq
#
#  celery-flower:
#    build: .
#    restart: always
#    command: celery -A project.celeryapp:app flower --loglevel=DEBUG --port=9090 --basic_auth=speedpycom:testpassword
#    ports:
#      - "127.0.0.1:9090:9090"
#    env_file:
#      - .env
#    volumes:
#      - .:/code
#    links:
#      - db
#      - redis
##      - rabbitmq
#    depends_on:
#      - db
#      - redis
##      - rabbitmq

